
Figure - Bug #114887
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】从应用小窗跳转到设置的操作，页面显示不全
2022-12-27 17:31 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-27

Priority: High Due date: 2023-02-10

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0062.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0069.X101

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 当某个要启动的activity不支持freeform的时候,不要设置成freeform模式

Description

以时钟为例

【前提条件】

1、设备已开机

2、时钟无通知权限

【测试步骤】

1、打开时钟小窗

2、打开闹钟

3、在时钟小窗下方弹出的提示中点击更改按钮

【预期结果】

3、跳到设置的相应页面（全屏）

【实际结果】

3、设置以小窗的形式打开，页面显示不完整

History

#1 - 2022-12-29 19:35 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD FW-鲁凯峰

#2 - 2023-01-11 21:18 - CD FW 曹覃刚

- Due date set to 2023-02-10

#3 - 2023-01-16 19:57 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177068 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: fix non resizeablewhen activity not support resizeable,don't start as freeform modeTC-RID: 1201-0204601IssueID:

TS-R-BUG-114887Change-Id: I2f8e547ba72a6d06347967c37b2d3b193a865f22
#4 - 2023-01-16 19:57 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177067 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:Settings: fix no package install errorwhen goto NotificationSettings via onNewIntent, The intent dataisn't save, so used settings home page intent.TC-RID:

1201-0201803IssueID: TS-R-BUG-114887Change-Id: Ief5405be6664073ebd7e8122a266d2c122afb4c4

#5 - 2023-01-17 09:58 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 当某个要启动的activity不支持freeform的时候,不要设置成freeform模式

■ Current conclusion

问题已经解决

■ My analysis

当某个要启动的activity不支持freeform的时候,不要设置成freeform模式

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/177068

http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/Settings/+/177067

#6 - 2023-01-18 19:02 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0069.X101

1.18

验证通过

#7 - 2023-01-18 19:03 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-12-27 16-48-10.mp4 8.91 MB 2022-12-27 CD TEST-方永红
